SleevedSleeved Docs

Get deck as text

Export a deck as plain text in Limitless or Untap format for importing into other TCG platforms.

Exports a deck as plain text in a format suitable for importing into another platform. Returns text/plain; charset=utf-8 for the 200 response — not JSON. All error responses (400, 401, 404, 500) are application/json.

Game abbreviations used in the untap format:

GameAbbreviation
Digimon Card GameDCG
Gundam Card GameGUN
Grand Archive TCGGA
Chrono Core TCGCC
GET
/decks/{deckId}/text
X-API-Key<token>

Your Sleeved API key. Format: slvd_live_<hex>. Contact Sleeved to obtain a key.

In: header

Path Parameters

deckIdstring

Deck identifier.

Query Parameters

formatstring

Export format. limitless — game-specific standard text format used by Limitless TCG. untap — Untap.in import format: one card per line as {qty} {name} ({GAME}) ({CARD-ID}).

Value in"limitless" | "untap"
token?string

Share token for private decks.

Response Body

curl -X GET "https://api.sleeved.gg/api/v1/decks/string/text?format=limitless&token=string"
"4 Agumon (DCG) (BT1-010)\n4 Koromon (DCG) (BT1-001)\n2 Greymon (DCG) (BT1-018)"

{
  "error": "format is required"
}

{
  "error": "API key required"
}

{
  "error": "Deck not found or not public"
}
{
  "error": "Rate limit exceeded"
}
{
  "error": "Internal server error"
}